*,
*::before,
*::after {
  font-family: "微软雅黑", "宋体";
}
body {
  background: #fff;
}
h2 {
  text-align: center;
  margin: 20px;
}
main h3{
  margin-left: 3rem;
  padding-left: 1rem;
  border-left: 3px solid red;
}
section {
  width: 95%;
  margin: 30px auto 100px;
  padding: 20px;
}
section .para{
  margin: 15px;
  margin-bottom: 30px;
  padding: 15px;
}
section .para p{
  margin-bottom: 15px;
  font-size: 1.2rem;
}
section ol {
  position: relative;
  counter-reset: number-ol; /*ポイント*/
  padding: 5px;
  margin: 0 auto;
}
ol .list {
  position: relative;
  list-style: none;
  margin-bottom: 10px;
  font-size: 1.1rem;
  padding-left: 60px;
}
section ol .list:before {
  position: absolute;
  counter-increment: number-ol; /*ポイント*/
  content: counter(number-ol); /*ポイント*/
  background: orange;
  color: #fff;
  border-radius: 50%;
  top: 2px;
  left: 30px;
  width: 1.3em;
  height: 1.3em;
  text-align: center;
  text-shadow: 1px 1px 1px #666;
}
span.point{
  color: rgb(8, 8, 217);
  font-weight: bold;
  text-decoration: underline 2px;
  text-underline-offset: 4px;
}
.list div{
  border-radius: 8px;
  background: rgb(255, 254, 223);
  margin: 30px auto 50px;
  padding: 7px;
}
.red{
  font-weight: bold;
  color: red;
}

ol details.list{
  height: 80px;
  margin: 0;
}
summary{
  position: relative;
  display: flex;
  width: 100%;
  height: 40px;
  transition: all .3s ease;
  cursor: pointer;
}
summary::after{
  content: '+';
  position: absolute;
  font-size: 1.5rem;
  font-weight: bold;
  right: 20px;
  transition: all .3s ease;
}
details.list div p{
  position: relative;
  padding: 15px;
}
details.list summary p{
  padding: 2px 2px 2px 45px;
}
details.list[open] summary::after{
  transform: rotate(135deg);
}
details.list[open] {
  height: 100%;
  margin-bottom: 50px;
}
.wrong::before{
  content: "✘";
  position: absolute;
  top: -9px;
  left: 10px;
  color: red;
  font-size: 2rem;
  font-weight: bold;
}
details.list div p.sankaku{
  padding-left: 2.5rem;
}
.sankaku::before{
  content: "▲";
  position: absolute;
  top: -7px;
  left: 10px;
  color: orange;
  font-size: 2rem;
  font-weight: bold;
}
.current::before{
  content: "〇";
  color: red;
  font-size: 1.3rem;
  font-weight: bold;
}

.sen {
  border-top: 1px dotted #333;
  width: 100%;
  margin: 100px 0;
}

@media screen and (max-width: 970px){
  main section {
      margin: 30px auto 100px;
      padding: 5px;
      grid-template-columns: repeat(auto-fit, minmax(250px, 1fr));
  }
}
@media screen and (max-width: 480px){
  summary{
    padding-right: 20px;
  }
  summary::after{
    right: 0;
  }
  ol .list{
    padding-left: 35px;
  }
  section ol .list:before{
    left: 5px;
  }
  .wrong::before{
    left: 5px;
  }
  details.list summary p{
    padding-left: 35px;
  }
}